<?php namespace Pastee\Model;

class PasteSection {
	public $name;
	public $syntax = 'autodetect';
	public $contents;

	public function __construct($name, $syntax = 'autodetect', $contents = '') {
		$this->name = $name;
		$this->syntax = $syntax;
		$this->contents = $contents;
	}

	public function toArray() {
		return [
			'name' => $this->name,
			'syntax' => $this->syntax,
			'contents' => $this->contents
		];
	}
}